<?php
include_once 'inc/function.php';
$admin=new Admin();

if(!empty($_POST['task']) && $_POST['task']=='add'){
	$response=$admin->reset_password($db,$_POST);
	if($response){
		$_SESSION['success']='Success! Admin Password is Reset Successfully';
	}
	else{
		$_SESSION['success']='Warning! Please Enter Valid Admin Old Password';
	}
}

include_once 'inc/header.php';
?>

<div id="content" class="container-fluid">
  <ol class="breadcrumb">
    <li>Home</li>
    <li>Change Password</li>
  </ol>
  <?php if(!empty($_SESSION['success'])) { ?>
  <div class="alert alert-success"><?=$_SESSION['success']?></div>
  <?php unset($_SESSION['success']); } ?>
  <div class="panel panel-default">
    <div class="panel-heading">
      <div class="pull-right">
        <button type="submit" form="form-change-password" title="Save" data-toggle="tooltip" class="btn btn-primary"><i class="fa fa-save"></i></button>
      </div>
      <h1 class="panel-title"><i class="fa fa-lock"></i> Change Password</h1>
    </div>
    <div class="panel-body">
      <form method="post" id="form-change-password" class="form-horizontal"><br>
		<input type="hidden" name="task" value="add">
        <input type="hidden" name="id" value="<?=$_SESSION['id']?>">
        <div class="form-group">
          <label class="required col-sm-3 control-label">Old Password</label>
          <div class="col-sm-9">
            <input type="password" name="old_pass" class="form-control" placeholder="Old Password" required autofocus>
          </div>
        </div>
        <div class="form-group">
          <label class="required col-sm-3 control-label">New Password</label>
          <div class="col-sm-9">
            <input type="password" name="new_pass" class="form-control" placeholder="New Password" id="new_pass" required>
          </div>
        </div>
        <div class="form-group">
          <label class="required col-sm-3 control-label">Retype New Password</label>
          <div class="col-sm-9">
            <input type="password" name="renew_pass" class="form-control" placeholder="Retype New Password" required>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>

<?php include_once 'inc/footer.php'; ?>

<script src="<?=ADMINURL?>/js/jquery.validate.min.js" type="text/javascript"></script>
<script>
	// JavaScript Document

(function($,W,D)
{
    var JQUERY4U = {};

    JQUERY4U.UTIL =
    {
        setupFormValidation: function()
        {
            //form validation rules
            $("#form-change-password").validate({
                rules: {
                    old_pass: {
						required:true
					},
                    new_pass: {
						required:true,
						minlength:5
					},
					renew_pass:{
						required:true,
						minlength:5,
						equalTo: "#new_pass"
					}
                },
                messages: {
                    old_pass: {
						required: "Please enter admin old password"
					},
                    new_pass: {
						required: "Please enter admin new password",
						minlength:"Please enter admin new password more than 5 characters"
					},
					renew_pass: {
						required: "Please enter admin confirm new password",
						minlength:"Please enter admin confirm new password more than 5 characters",
						equalTo:"New password and confirm new password does not match"
					}
                },
                submitHandler: function(form) {
                    form.submit();
                }
            });
        }
    }

    //when the dom has loaded setup form validation rules
    $(D).ready(function($) {
        JQUERY4U.UTIL.setupFormValidation();
    });

})(jQuery, window, document);
</script>

<script type="text/javascript" src="<?=ADMINURL?>/js/system.js"></script>